Rem Build Version: 3.0.104.0
@echo off
REM ***********************************************************************
REM THIS CODE AND INFORMATION IS PROVIDED TO YOU FOR YOUR REFERENTIAL 
REM PURPOSES ONLY, AND IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
REM EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
REM WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE, 
REM AND MAY NOT BE REDISTRIBUTED IN ANY MANNER.
REM 
REM Copyright  (c) 2004  Microsoft Corporation.  All rights reserved.
REM ***********************************************************************

SET ADMINPATH="C:\Program Files\Common Files\Microsoft Shared\web server extensions\60\BIN\

REM make sure we got Command Line Parameters ....
REM if not Bail Out

echo Creating a HostHeader Site
if {%1}=={} echo NO URL ARGUMENT SUPPLIED&Call :Help &goto :ExitThis
if {%2}=={} echo NO OWNERLOGIN ARGUMENT SUPPLIED&goto :ExitThis
if {%3}=={} echo NO URL OWNEREMAIL SUPPLIED&goto :ExitThis
Goto Create

:Create
REM Make sure the Sharepoint Admin Tools Exist at the Path provided
If NOT Exist %ADMINPATH%stsadm.exe" Goto NoAdminTools
%ADMINPATH%stsadm.exe" -o createsite -url http://%1  -ownerlogin %2 -owneremail %3 -ownername "Customer Admin" -lcid 1033 
GOTO AllDone

:NoAdminTools
echo STSADM.EXE Not Found at %ADMINPATH%
echo please check that Windows Sharepoint Services 2.0 are properly installed
Goto AllDone

:AllDone
echo Create HostHeader Site is finished.
goto ExitThis

:Help
echo USAGE: %~n0 DNSDomainName Domain\OwnerLogin ownerEmail
echo i.e.: %~n0 sharepoint.fabrikam.com Fabrikam\Administrator Administrator@Fabrikam.com
set errorlevel=2
goto :eof

:ExitThis
